Page MenuHomePhabricator

meta:Special:BannerLoader is loaded using http protocol when using secure server (https)
Closed, ResolvedPublic

Description

Special:BannerLoader should also be loaded from https://secure.wikimedia.org if you are using https not not make an unencrypted request to http://meta.wikimedia.org


Version: unspecified
Severity: major
URL: http://meta.wikimedia.org/w/index.php?title=Special:BannerLoader&banner=Genericmaintenancenotice&userlang=de&db=dewiki&sitename=Wikipedia&country=DE

Details

Reference
bz27448

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 11:19 PM
bzimport set Reference to bz27448.
Merl created this task.Feb 16 2011, 11:08 AM

Fixed in r83662.

reverted with r83713

change to shell request:

Please change in CommonSettings.php (see wgNoticeCentralPath there)

$wgCentralPagePath = 'http://meta.wikimedia.org/w/index.php';

to

if( $secure ) {
$wgCentralPagePath = 'https://secure.wikimedia.org/wikipedia/meta/w/index.php';
} else {
$wgCentralPagePath = 'http://meta.wikimedia.org/w/index.php';
}

Thanks.

saper added a comment.Mar 11 2011, 9:48 PM

I was thinking maybe we could introduce a function like this:

function wfMatchProto( $path_variable )
{
global $wgProto;
if( is_array( $path_variable ) ) {

		foreach( $path_variable as $value ) {
			if( !strncasecmp( $value, $wgProto, strlen( $wgProto) ) )
				return $value;
		}

}
return $path_variable;
}

and then just (backwardly compatible) introduce variables like:

$wgCentralPagePath = array("http://meta.wikimedia.org/w/index.php", "https://secure.wikimedia.org/wikipedia/meta/w/index.php");

Just an idea...

The code for switching vars based on secure server is already in CommonSettings.php, I just need to put the secure value in there. Should be able to fix next week.

This is fixed on live now.

Restricted Application added a project: Traffic. · View Herald TranscriptAug 5 2016, 11:40 AM
Restricted Application added subscribers: JEumerus, Matanya. · View Herald Transcript